Ice Reference Documentation
<<< Previous | Properties | Next >>>

# Ice Trace Properties

## Ice.Trace.GC

### Synopsis

    Ice.Trace.GC=num

### Description

The garbage collector trace level:

0 | No garbage collector trace. (default)
1 | Show the total number of instances collected, the total number of instances examined, the time spent in the collector in milliseconds, and the total number of runs of the collector.
2 | Like 1, but also produces a trace message for each run of the collector.

## Ice.Trace.Network

### Synopsis

    Ice.Trace.Network=num

### Description

The network trace level:

0 | No network trace. (default)
1 | Trace connection establishment and closure.
2 | Like 1, but more detailed.
3 | Like 2, but also trace data transfer.

## Ice.Trace.Protocol

### Synopsis

    Ice.Trace.Protocol=num

### Description

The protocol trace level:

0 | No protocol trace. (default)
1 | Trace Ice protocol messages.

## Ice.Trace.Retry

### Synopsis

    Ice.Trace.Retry=num

### Description

The request retry trace level:

0 | No request retry trace. (default)
1 | Trace Ice operation call retries.
2 | Also trace Ice endpoint usage.

## Ice.Trace.Slicing

### Synopsis

    Ice.Trace.Slicing=num

### Description

The slicing trace level:

0 | No trace of slicing activity. (default)
1 | Trace all exception and class types that are unknown to the receiver and therefore sliced.

<<< Previous | Home | Next >>>
Properties | Up | Ice Warning Properties